pcl::common Namespace Reference

## Namespaces

| internal

## Classes

class | CloudGenerator
class | CloudGenerator< pcl::PointXY, GeneratorT >
struct | IntensityFieldAccessor< pcl::PointNormal >
struct | IntensityFieldAccessor< pcl::PointXYZ >
struct | IntensityFieldAccessor< pcl::PointXYZRGB >
struct | IntensityFieldAccessor< pcl::PointXYZRGBA >
struct | IntensityFieldAccessor< pcl::PointXYZRGBNormal >
struct | IntensityFieldAccessor< pcl::PointXYZRGBL >
struct | IntensityFieldAccessor< pcl::PointXYZLAB >
struct | IntensityFieldAccessor< pcl::PointXYZHSV >
struct | IntensityFieldAccessor< pcl::PointXYZL >
struct | IntensityFieldAccessor< pcl::PointXYZLNormal >
struct | IntensityFieldAccessor< pcl::InterestPoint >
struct | IntensityFieldAccessor< pcl::PointWithRange >
struct | IntensityFieldAccessor< pcl::PointWithScale >
struct | IntensityFieldAccessor< pcl::PointWithViewpoint >
struct | IntensityFieldAccessor< pcl::PointSurfel >
struct | IntensityFieldAccessor
struct | uniform_distribution
| uniform distribution dummy struct More...
struct | uniform_distribution< T, std::enable_if_t< std::is_integral< T >::value > >
| uniform distribution int specialized More...
struct | uniform_distribution< T, std::enable_if_t< std::is_floating_point< T >::value > >
| uniform distribution float specialized More...
struct | normal_distribution
| normal distribution More...
class | UniformGenerator
| UniformGenerator class generates a random number from range [min, max] at each run picked according to a uniform distribution i.e each number within [min, max] has almost the same probability of being drawn. More...
class | NormalGenerator
| NormalGenerator class generates a random number from a normal distribution specified by (mean, sigma). More...

## Functions

template<typename PointT >
void | expandColumns (const PointCloud< PointT > &input, PointCloud< PointT > &output, const PointT &val, const std::size_t &amount)
| expand point cloud inserting amount columns at the right and the left of a point cloud and filling them with custom values. More...
template<typename PointT >
void | expandRows (const PointCloud< PointT > &input, PointCloud< PointT > &output, const PointT &val, const std::size_t &amount)
| expand point cloud inserting amount rows at the top and the bottom of a point cloud and filling them with custom values. More...
template<typename PointT >
void | duplicateColumns (const PointCloud< PointT > &input, PointCloud< PointT > &output, const std::size_t &amount)
| expand point cloud duplicating the amount right and left columns times. More...
template<typename PointT >
void | duplicateRows (const PointCloud< PointT > &input, PointCloud< PointT > &output, const std::size_t &amount)
| expand point cloud duplicating the amount top and bottom rows times. More...
template<typename PointT >
void | mirrorColumns (const PointCloud< PointT > &input, PointCloud< PointT > &output, const std::size_t &amount)
| expand point cloud mirroring amount right and left columns. More...
template<typename PointT >
void | mirrorRows (const PointCloud< PointT > &input, PointCloud< PointT > &output, const std::size_t &amount)
| expand point cloud mirroring amount top and bottom rows. More...
template<typename PointT >
void | deleteRows (const PointCloud< PointT > &input, PointCloud< PointT > &output, const std::size_t &amount)
| delete amount rows in top and bottom of point cloud More...
template<typename PointT >
void | deleteCols (const PointCloud< PointT > &input, PointCloud< PointT > &output, const std::size_t &amount)
| delete amount columns in top and bottom of point cloud More...

## Function Documentation

## deleteCols()

template<typename PointT >

void pcl::common::deleteCols | ( | const PointCloud< PointT > & | input,
|  | PointCloud< PointT > & | output,
|  | const std::size_t & | amount
| ) |  |

delete amount columns in top and bottom of point cloud

Parameters

  [in] | input | the input point cloud
  [out] | output | the output point cloud
  [in] | amount | the amount of rows to be added

Definition at line 239 of file spring.hpp.

References pcl::PointCloud< PointT >::begin(), pcl::PointCloud< PointT >::erase(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::isOrganized(), and pcl::PointCloud< PointT >::width.

## deleteRows()

template<typename PointT >

void pcl::common::deleteRows | ( | const PointCloud< PointT > & | input,
|  | PointCloud< PointT > & | output,
|  | const std::size_t & | amount
| ) |  |

delete amount rows in top and bottom of point cloud

Parameters

  [in] | input | the input point cloud
  [out] | output | the output point cloud
  [in] | amount | the amount of rows to be added

Definition at line 222 of file spring.hpp.

References pcl::PointCloud< PointT >::begin(), pcl::PointCloud< PointT >::end(), pcl::PointCloud< PointT >::erase(), pcl::PointCloud< PointT >::height, and pcl::PointCloud< PointT >::width.

## duplicateColumns()

template<typename PointT >

void pcl::common::duplicateColumns | ( | const PointCloud< PointT > & | input,
|  | PointCloud< PointT > & | output,
|  | const std::size_t & | amount
| ) |  |

expand point cloud duplicating the amount right and left columns times.

Parameters

  [in] | input | the input point cloud
  [out] | output | the output point cloud
  [in] | amount | the amount of cilumns to be added

Definition at line 105 of file spring.hpp.

References pcl::PointCloud< PointT >::begin(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::insert(), pcl::PointCloud< PointT >::isOrganized(), pcl::PointCloud< PointT >::reserve(), and pcl::PointCloud< PointT >::width.

## duplicateRows()

template<typename PointT >

void pcl::common::duplicateRows | ( | const PointCloud< PointT > & | input,
|  | PointCloud< PointT > & | output,
|  | const std::size_t & | amount
| ) |  |

expand point cloud duplicating the amount top and bottom rows times.

Parameters

  [in] | input | the input point cloud
  [out] | output | the output point cloud
  [in] | amount | the amount of rows to be added

Definition at line 138 of file spring.hpp.

References pcl::PointCloud< PointT >::begin(), pcl::PointCloud< PointT >::end(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::insert(), pcl::PointCloud< PointT >::reserve(), and pcl::PointCloud< PointT >::width.

## expandColumns()

template<typename PointT >

void pcl::common::expandColumns | ( | const PointCloud< PointT > & | input,
|  | PointCloud< PointT > & | output,
|  | const PointT & | val,
|  | const std::size_t & | amount
| ) |  |

expand point cloud inserting amount columns at the right and the left of a point cloud and filling them with custom values.

Parameters

  [in] | input | the input point cloud
  [out] | output | the output point cloud
  [in] | val | the point value to be inserted
  [in] | amount | the amount of columns to be added

Definition at line 52 of file spring.hpp.

References pcl::PointCloud< PointT >::begin(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::insert(), pcl::PointCloud< PointT >::isOrganized(), pcl::PointCloud< PointT >::reserve(), and pcl::PointCloud< PointT >::width.

## expandRows()

template<typename PointT >

void pcl::common::expandRows | ( | const PointCloud< PointT > & | input,
|  | PointCloud< PointT > & | output,
|  | const PointT & | val,
|  | const std::size_t & | amount
| ) |  |

expand point cloud inserting amount rows at the top and the bottom of a point cloud and filling them with custom values.

Parameters

  [in] | input | the input point cloud
  [out] | output | the output point cloud
  [in] | val | the point value to be inserted
  [in] | amount | the amount of rows to be added

Definition at line 84 of file spring.hpp.

References pcl::PointCloud< PointT >::begin(), pcl::PointCloud< PointT >::end(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::insert(), pcl::PointCloud< PointT >::reserve(), and pcl::PointCloud< PointT >::width.

## mirrorColumns()

template<typename PointT >

void pcl::common::mirrorColumns | ( | const PointCloud< PointT > & | input,
|  | PointCloud< PointT > & | output,
|  | const std::size_t & | amount
| ) |  |

expand point cloud mirroring amount right and left columns.

Parameters

  [in] | input | the input point cloud
  [out] | output | the output point cloud
  [in] | amount | the amount of rows to be added

Definition at line 163 of file spring.hpp.

References pcl::PointCloud< PointT >::begin(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::insert(), pcl::PointCloud< PointT >::isOrganized(), pcl::PointCloud< PointT >::reserve(), and pcl::PointCloud< PointT >::width.

## mirrorRows()

template<typename PointT >

void pcl::common::mirrorRows | ( | const PointCloud< PointT > & | input,
|  | PointCloud< PointT > & | output,
|  | const std::size_t & | amount
| ) |  |

expand point cloud mirroring amount top and bottom rows.

Parameters

  [in] | input | the input point cloud
  [out] | output | the output point cloud
  [in] | amount | the amount of rows to be added

Definition at line 195 of file spring.hpp.

References pcl::PointCloud< PointT >::begin(), pcl::PointCloud< PointT >::end(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::insert(), pcl::PointCloud< PointT >::reserve(), and pcl::PointCloud< PointT >::width.